package cd.casic.plugin.event;

import lombok.Getter;
import org.pf4j.PluginWrapper;
import org.springframework.context.ApplicationEvent;
import org.springframework.util.Assert;

/**
 * @Classname PluginBeforeStopEvent
 * @Description TODO
 * @Date 2025/5/8 14:41
 * @Created by mianbin
 */
@Getter
public class OpsPluginBeforeStopEvent extends ApplicationEvent {


    private final PluginWrapper plugin;

    public OpsPluginBeforeStopEvent(Object source, PluginWrapper plugin) {
        super(source);
        Assert.notNull(plugin, "插件不能为空");
        this.plugin = plugin;
    }
}
